## ros-noetic-costmap-cspace 0.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(costmap_cspace)

set(CATKIN_DEPENDS
  roscpp

  geometry_msgs
  laser_geometry
  nav_msgs
  sensor_msgs
  tf2_geometry_msgs
  tf2_ros
  tf2_sensor_msgs

  costmap_cspace_msgs
  neonavigation_common
)

find_package(catkin REQUIRED COMPONENTS ${CATKIN_DEPENDS})
find_package(xmlrpcpp REQUIRED)
catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS ${CATKIN_DEPENDS}
)


set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include_directories(include ${catkin_INCLUDE_DIRS})


add_executable(costmap_3d src/costmap_3d.cpp src/costmap_3d_layers.cpp)
target_link_libraries(costmap_3d ${catkin_LIBRARIES})
add_dependencies(costmap_3d ${catkin_EXPORTED_TARGETS})
set_property(TARGET costmap_3d PROPERTY PUBLIC_HEADER
  include/costmap_cspace/pointcloud_accumulator.h
)

add_executable(laserscan_to_map src/laserscan_to_map.cpp)
target_link_libraries(laserscan_to_map ${catkin_LIBRARIES})
add_dependencies(laserscan_to_map ${catkin_EXPORTED_TARGETS})

add_executable(pointcloud2_to_map src/pointcloud2_to_map.cpp)
target_link_libraries(pointcloud2_to_map ${catkin_LIBRARIES})
add_dependencies(pointcloud2_to_map ${catkin_EXPORTED_TARGETS})

add_executable(largemap_to_map src/largemap_to_map.cpp)
target_link_libraries(largemap_to_map ${catkin_LIBRARIES})
add_dependencies(largemap_to_map ${catkin_EXPORTED_TARGETS})


if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_subdirectory(test)

  find_package(roslint REQUIRED)
  roslint_cpp()
  roslint_add_test()
endif()


install(TARGETS
    costmap_3d
    largemap_to_map
    laserscan_to_map
    pointcloud2_to_map
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  PUBLIC_HEADER DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-costmap-cspace (0.12.0-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.8-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 28 Dec 2022 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.7-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.6-1buster) buster; urgency=high

  * costmap_cspace: fix Costmap3dLayerPlain when its parent is not plain (#641 <https://github.com/at-wat/neonavigation/issues/641>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 20 Jul 2022 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.5-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 06 Jul 2022 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.4-1buster) buster; urgency=high

  * Divide output layer class into specific classes (#633 <https://github.com/at-wat/neonavigation/issues/633>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.3-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Dec 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.2-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.1-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 29 Oct 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.0-1buster) buster; urgency=high

  * Rename PointcloudAccumurator to PointcloudAccumulator (#608 <https://github.com/at-wat/neonavigation/issues/608>)
  * Apply clang-format-11 with new setting (#605 <https://github.com/at-wat/neonavigation/issues/605>)
  * Contributors: Naotaka Hatao, f-fl0

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Aug 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.11-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 21 Jun 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.10-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.9-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 16 Mar 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.8-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.7-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 07 Mar 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.6-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 28 Jan 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.5-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 24 Dec 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.4-1buster) buster; urgency=high

  * costmap_cspace: make Costmap3dLayerPlain and Costmap3dLayerOutput faster (#562 <https://github.com/at-wat/neonavigation/issues/562>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Nov 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.3-1buster) buster; urgency=high

  * costmap_cspace: make Costmap3dLayerFootprint::generateCSpace faster (#554 <https://github.com/at-wat/neonavigation/issues/554>)
  * costmap_cspace: add test for keeping unknown mode (#555 <https://github.com/at-wat/neonavigation/issues/555>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 22 Oct 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.2-1buster) buster; urgency=high

  * costmap_cspace: enable func to remove objects out of z range (#551 <https://github.com/at-wat/neonavigation/issues/551>)
  * Contributors: Tatsuroh Sakaguchi

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.1-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 26 Aug 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.0-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 06 Aug 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.9.1-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 16 Jul 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.9.0-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Jul 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.8.8-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 15 Jun 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.8.7-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 22 May 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.8.6-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 15 May 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.8.5-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 04 May 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.8.4-1buster) buster; urgency=high

  * Clean unused dependencies (#472 <https://github.com/at-wat/neonavigation/issues/472>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.8.3-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 26 Apr 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.8.2-1buster) buster; urgency=high

  * Support Noetic (#461 <https://github.com/at-wat/neonavigation/issues/461>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 07 Apr 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.8.1-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Mar 2020 00:00:00 -0000



=== debian/control ===
Source: ros-noetic-costmap-cspace
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-costmap-cspace-msgs, ros-noetic-geometry-msgs, ros-noetic-laser-geometry, ros-noetic-nav-msgs, ros-noetic-neonavigation-common, ros-noetic-roscpp, ros-noetic-roslint <!nocheck>, ros-noetic-rostest <!nocheck>, ros-noetic-sensor-msgs, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-tf2-sensor-msgs, ros-noetic-xmlrpcpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-costmap-cspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-costmap-cspace-msgs, ros-noetic-geometry-msgs, ros-noetic-laser-geometry, ros-noetic-nav-msgs, ros-noetic-neonavigation-common, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-tf2-sensor-msgs, ros-noetic-xmlrpcpp
Description: 3-dof configuration space costmap package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-costmap-cspace//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-costmap-cspace 0.15.0

=== debian/changelog ===
ros-noetic-costmap-cspace (0.15.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 30 Aug 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.14.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 31 Jul 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.14.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 07 Jul 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.14.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 06 Jun 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.13.0-1focal) focal; urgency=high

  * costmap_cspace: export costmap_3d_layers library (#691 <https://github.com/at-wat/neonavigation/issues/691>)
  * costmap_cspace: install all headers (#690 <https://github.com/at-wat/neonavigation/issues/690>)
  * costmap_cspace: added update_chain_entry bool arguement to processMapOverlay function (#689 <https://github.com/at-wat/neonavigation/issues/689>)
  * costmap_cspace: add costmap_3d_layers library (#688 <https://github.com/at-wat/neonavigation/issues/688>)
  * Contributors: ゆうちゃん

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 31 May 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.12.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 28 Feb 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.12.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 25 Feb 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.12.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.8-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 28 Dec 2022 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.7-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.6-1focal) focal; urgency=high

  * costmap_cspace: fix Costmap3dLayerPlain when its parent is not plain (#641 <https://github.com/at-wat/neonavigation/issues/641>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 20 Jul 2022 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.5-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 06 Jul 2022 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.4-1focal) focal; urgency=high

  * Divide output layer class into specific classes (#633 <https://github.com/at-wat/neonavigation/issues/633>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.3-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Dec 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 29 Oct 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.0-1focal) focal; urgency=high

  * Rename PointcloudAccumurator to PointcloudAccumulator (#608 <https://github.com/at-wat/neonavigation/issues/608>)
  * Apply clang-format-11 with new setting (#605 <https://github.com/at-wat/neonavigation/issues/605>)
  * Contributors: Naotaka Hatao, f-fl0

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Aug 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.11-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 21 Jun 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.10-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.9-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 16 Mar 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.8-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.7-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 07 Mar 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.6-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 28 Jan 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.5-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 24 Dec 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.4-1focal) focal; urgency=high

  * costmap_cspace: make Costmap3dLayerPlain and Costmap3dLayerOutput faster (#562 <https://github.com/at-wat/neonavigation/issues/562>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Nov 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.3-1focal) focal; urgency=high

  * costmap_cspace: make Costmap3dLayerFootprint::generateCSpace faster (#554 <https://github.com/at-wat/neonavigation/issues/554>)
  * costmap_cspace: add test for keeping unknown mode (#555 <https://github.com/at-wat/neonavigation/issues/555>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 22 Oct 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.2-1focal) focal; urgency=high

  * costmap_cspace: enable func to remove objects out of z range (#551 <https://github.com/at-wat/neonavigation/issues/551>)
  * Contributors: Tatsuroh Sakaguchi

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 26 Aug 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 06 Aug 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.9.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 16 Jul 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.9.0-1focal) focal; urgency=high





## ros-noetic-costmap-cspace 0.17.7

=== debian/changelog ===
ros-noetic-costmap-cspace (0.17.7-1focal) focal; urgency=high

  * costmap_cspace: prevent map update region out-of-bound (#764 <https://github.com/at-wat/neonavigation/issues/764>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 16 Apr 2025 00:00:00 -0000

ros-noetic-costmap-cspace (0.17.6-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 18 Mar 2025 00:00:00 -0000

ros-noetic-costmap-cspace (0.17.5-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 21 Feb 2025 00:00:00 -0000

ros-noetic-costmap-cspace (0.17.4-1focal) focal; urgency=high

  * costmap_cspace: prevent map update region out-of-bound (#748 <https://github.com/at-wat/neonavigation/issues/748>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 20 Jan 2025 00:00:00 -0000

ros-noetic-costmap-cspace (0.17.3-1focal) focal; urgency=high

  * costmap_cspace: publish empty costmap_update on out-of-bound (#743 <https://github.com/at-wat/neonavigation/issues/743>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 25 Dec 2024 00:00:00 -0000

ros-noetic-costmap-cspace (0.17.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 07 Nov 2024 00:00:00 -0000

ros-noetic-costmap-cspace (0.17.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 22 Mar 2024 00:00:00 -0000

ros-noetic-costmap-cspace (0.17.0-1focal) focal; urgency=high

  * costmap_3d: avoid unnecessary grid expansions (#726 <https://github.com/at-wat/neonavigation/issues/726>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Nov 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.16.0-1focal) focal; urgency=high

  * costmap_cspace: add linear_spread_min_cost parameter (#719 <https://github.com/at-wat/neonavigation/issues/719>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 14 Sep 2023 00:00:00 -0000
